# GeminiEmbeddingModelBuilder

## Overview

GeminiEmbeddingModelBuilder is a builder for configuring and creating Gemini embedding models. Allows setting API key and model name for the Gemini embedding model.

## Methods Summarized

| Type                                                                                                        | Name                                         | Summary                                                                                             |
| ----------------------------------------------------------------------------------------------------------- | -------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [GeminiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/geminiembeddingmodelbuilder.md) | [apiKey(key)](#apikey-key)                   | Sets the Gemini API key for the embedding model.                                                    |
| [EmbeddingModel](/reference/servoyextensions/server-plugins/ai/embeddingmodel.md)                           | [build()](#build)                            | Builds and returns an EmbeddingModel configured with the specified Gemini embedding model settings. |
| [GeminiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/geminiembeddingmodelbuilder.md) | [modelName(modelName)](#modelname-modelname) | Sets the Gemini model name for the embedding model.                                                 |

## Methods Detailed

### apiKey(key)

Sets the Gemini API key for the embedding model.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **key** The API key.

**Returns:** [GeminiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/geminiembeddingmodelbuilder.md) This builder instance.

### build()

Builds and returns an EmbeddingModel configured with the specified Gemini embedding model settings.

**Returns:** [EmbeddingModel](/reference/servoyextensions/server-plugins/ai/embeddingmodel.md) A configured EmbeddingModel instance.

### modelName(modelName)

Sets the Gemini model name for the embedding model.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **modelName** The model name.

**Returns:** [GeminiEmbeddingModelBuilder](/reference/servoyextensions/server-plugins/ai/geminiembeddingmodelbuilder.md) This builder instance.

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/geminiembeddingmodelbuilder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
